bl_info = {
    "name": "Stereoarts Designer 2 Mesh Material Fix",
    "author": "Nora",
    "version": (0,0,0),
    "blender": (2, 6, 3),
    "location": "View3D > Specials > SD2 Matfix",
    "description": "Stereoarts Designer 2 Mesh Material Fix",
    "warning": "",
    "wiki_url": "http://stereoarts.jp",
    "tracker_url": "http://stereoarts.jp",
    "category": "Mesh"}

import bpy

def main(context):
    for mesh in bpy.data.meshes:
        for mat in mesh.materials:
            if isinstance(mat, bpy.types.Material):
                mat.use_shadeless = True
                for texslot in mat.texture_slots:
                    if isinstance(texslot, bpy.types.MaterialTextureSlot):
                        texslot.use_map_alpha = True
                        texslot.blend_type = 'MULTIPLY'

    for tex in bpy.data.textures:
        if isinstance(tex, bpy.types.ImageTexture):
            tex.use_mipmap = False
            tex.image.use_premultiply = True

class SD2Matfix(bpy.types.Operator):
    """Tooltip"""
    bl_idname = "mesh.sd2matfix"
    bl_label = "SD2 Matfix"

    @classmethod
    def poll(cls, context):
        return True
    
    def execute(self, context):
        main(context)
        return {'FINISHED'}

def menu_func(self, context):
    self.layout.operator(SD2Matfix.bl_idname, text="SD2 Matfix")

def register():
    bpy.utils.register_class(SD2Matfix)

    bpy.types.VIEW3D_MT_edit_mesh_specials.append(menu_func)

def unregister():
    bpy.utils.unregister_class(SD2Matfix)

    bpy.types.VIEW3D_MT_edit_mesh_specials.remove(menu_func)

if __name__ == "__main__":
    register()

    # call
    # bpy.ops.object.sd2matfix()
